Skip to navigation

Create a stage move for an application

Beta

Advances or moves back a candidate between the lead and active stages of their job’s interview plan, for callers that must never hire, archive or reject. Entering a stage can trigger that stage’s job activities. Find stage ids with GET /rest/ats/jobs/{job_id}/interview-plan-stages.

Token scopes: ats:write, worker:write

Beta: this version requires the X-Beta: true request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2027-01-29.

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.deel.training/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

application_idstringRequiredformat: "uuid"
ID of the application to move

Headers

X-BetaenumRequiredDefaults to true

Opts in to the beta version of this endpoint. Must be true.

Allowed values:

Request

This endpoint expects an object.
dataobjectRequired

Response

Application moved to the stage
dataobject
The application's new current interview plan stage record

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
500
Internal Server Error